/*****************************************************************************
 * ADSP_SC573_LED_Blink_Core1.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "ADSP_SC573_LED_Blink_Core1.h"


int main(int argc, char *argv[])
{

	adi_initComponents();
	
	Init_LEDs();

	for(i=0;i<5;i++)
	{
		*pREG_PORTA_DATA_SET=(((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

		delay(5000000);

		*pREG_PORTA_DATA_CLR = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

		delay(5000000);
	}

	return 0;
}

void Init_LEDs(void)
{
	*pREG_PORTA_FER_CLR = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

	*pREG_PORTA_DIR_SET = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

	*pREG_PORTE_DATA_CLR =(((1<<BITP_PORT_DATA_PX2) & BITM_PORT_DATA_PX2));
}

void delay(int n)
{
	while(n--);
}
