/*****************************************************************************
 * Multicore_Led_Blink_Core1.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "Multicore_Led_Blink_Core1.h"

void Init_LEDs(void);
void delay(int n);
int i;

int main()
{
		adi_initComponents();

		Init_LEDs();

		/*Toggle LED 11*/
		while(1)
		{
			*pREG_PORTA_DATA_SET=(((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));
			delay(5000000);

			*pREG_PORTA_DATA_CLR = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));
			delay(5000000);
		}

		return 0;
}

void Init_LEDs(void)
{
		//LED 11
		*pREG_PORTA_FER_CLR = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

		*pREG_PORTA_DIR_SET = (((1<<BITP_PORT_DATA_PX9) & BITM_PORT_DATA_PX9));

		*pREG_PORTE_DATA_CLR =(((1<<BITP_PORT_DATA_PX2) & BITM_PORT_DATA_PX2));
}

void delay(int n)
{
		while(n--);
}
