/*****************************************************************************
 * Return_Flag_Core0_Core0.c
 *****************************************************************************/

#include <sys/platform.h>
#include <sys/adi_core.h>
#include "adi_initialize.h"
#include "Return_Flag_Core0_Core0.h"

#define Return_Flag

void adi_mmu_Init()
{
	asm("nop;");
}

void main()
{

	adi_initComponents();

	*pREG_SPU0_SECUREP74= 0x3; //SPI2_Rx_DMA
	*pREG_SPU0_SECUREP56= 0x3; //UART0_Rx_DMA
	*pREG_SPU0_SECUREP4= 0x3; //LP0_Rx_DMA
	*pREG_SPU0_SECUREP102= 0x3; //MDMA0_SRC
	*pREG_SPU0_SECUREP103= 0x3; //MDMA0_DST

	/* using return flag to change the RCU_SVECT0 for ARM core */
	//adi_rom_Boot(0x60000000,BITM_ROM_BFLAG_RETURN,0,0,0x10207); //SPI_Master
	//adi_rom_Boot(0x60000000,BITM_ROM_BFLAG_RETURN,0,0,0x10212); //SPI_Slave
	//adi_rom_Boot(0x60000000,BITM_ROM_BFLAG_RETURN,0,0,0x00013);  //UART
	adi_rom_Boot(0x60000000,BITM_ROM_BFLAG_RETURN,0,0,0x00014);  //LinkPort

	adi_core_enable(ADI_CORE_SHARC0);
	adi_core_enable(ADI_CORE_SHARC1);
	while(1);

}



